<h1 class="h3 mb-4 text-gray-800">Reports</h1>

<div class="row">
  <form [formGroup]="teamReportForms" class="col-sm-12 col-lg-6">
    <ng-container formArrayName="forms">
      <ng-container *ngFor="let team of (myTeams$ | async); let i = index;">
        <div class="card shadow mb-4">
          <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Team Report for {{team.name}}</h6>
          </div>
          <div class="card-body" [formGroupName]="i">
            <mat-form-field class="d-block" appearance="fill">
              <mat-label>Start date</mat-label>
              <input matInput formControlName="start" [matDatepicker]="pickerPersonalStart">
              <mat-datepicker-toggle matSuffix [for]="pickerPersonalStart"></mat-datepicker-toggle>
              <mat-datepicker touchUi #pickerPersonalStart disabled="false"></mat-datepicker>
            </mat-form-field>
            <mat-form-field class="d-block" appearance="fill">
              <mat-label>End date</mat-label>
              <input matInput formControlName="end" [matDatepicker]="pickerPersonalEnd">
              <mat-datepicker-toggle matSuffix [for]="pickerPersonalEnd"></mat-datepicker-toggle>
              <mat-datepicker touchUi #pickerPersonalEnd disabled="false"></mat-datepicker>
            </mat-form-field>
            <hr>
            <a *ngIf="teamReportFilterResults[i].from && teamReportFilterResults[i].until" class="btn btn-sm btn-primary" target="_blank" href="api/v1/reports/teams/{{team.id}}/pdf?from={{teamReportFilterResults[i].from}}&until={{teamReportFilterResults[i].until}}">
              <fa-icon [icon]="faDownload" size="sm" class="text-white-50"></fa-icon>
              Generate
            </a>
            <button *ngIf="!teamReportFilterResults[i].from || !teamReportFilterResults[i].until" class="btn btn-sm btn-primary" disabled>
              <fa-icon [icon]="faDownload" size="sm" class="text-white-50"></fa-icon>
              Generate
            </button>
          </div>
        </div>
      </ng-container>
    </ng-container>
  </form>

  <div class="col-sm-12 col-lg-6">

    <div class="card shadow mb-4">
      <div class="card-header py-3">
        <h6 class="m-0 font-weight-bold text-primary">Personal Report</h6>
      </div>
      <div class="card-body">
        <form [formGroup]="personalReportForm">
          <mat-form-field class="d-block" appearance="fill">
            <mat-label>Start date</mat-label>
            <input formControlName="start" matInput [matDatepicker]="pickerPersonalStart">
            <mat-datepicker-toggle matSuffix [for]="pickerPersonalStart"></mat-datepicker-toggle>
            <mat-datepicker touchUi #pickerPersonalStart disabled="false"></mat-datepicker>
          </mat-form-field>
          <mat-form-field class="d-block" appearance="fill">
            <mat-label>End date</mat-label>
            <input formControlName="end" matInput [matDatepicker]="pickerPersonalEnd">
            <mat-datepicker-toggle matSuffix [for]="pickerPersonalEnd"></mat-datepicker-toggle>
            <mat-datepicker touchUi #pickerPersonalEnd disabled="false"></mat-datepicker>
          </mat-form-field>
          <hr>
          <a *ngIf="personalFrom && personalUntil" class="btn btn-sm btn-primary" target="_blank" href="api/v1/reports/personal/pdf?from={{personalFrom}}&until={{personalUntil}}">
            <fa-icon [icon]="faDownload" size="sm" class="text-white-50"></fa-icon>
            Generate
          </a>
          <button *ngIf="!personalFrom || !personalUntil" class="btn btn-sm btn-primary" disabled>
            <fa-icon [icon]="faDownload" size="sm" class="text-white-50"></fa-icon>
            Generate
          </button>
        </form>
      </div>
    </div>

  </div>
</div>

